//-------------------------------------------------------------------//
//                                                                   //
//  JFC Copyright (C) Glenn Rosenthal, 1999,2000,2001.               //
//  All rights reserved.                                             //
//                                                                   //
//-------------------------------------------------------------------//

//-------------------------------------------------------------------
//
//  This modlue manages the status bar.  
//
#ifndef jfc_stat_h
#define jfc_stat_h

//-------------------------------------------------------------------
//
//  class JWP_stat.
//
//  This class manages the status bar.
//

class JFC_stat {
public:
  short height;                         // Height of the status bar.

  JFC_stat (void);                      // Constructor
  void  adjust     (void);              // Adjust size of satus window.
  void  draw       (HDC hdc);           // Called only by window proc (actual draw).
  int   initialize (WNDCLASS *wclass);  // Intialize the status bar.
  void  redraw     (void);              // Invalidate window (force a redraw).
private:
  char  buffer[10];                     // Buffer to store text message.
  short offset;                         // Y offset for rendering text.
  short x_text;                         // X location of text messages.
public:                                 // Made public for Windows CE support.
  HWND  window;                         // Handle for window.
};

extern class JFC_stat jfc_stat;         // Instance of class.

#endif ffc_stat_h
